Vcenter Ovf ImportFlag list

Vcenter Ovf ImportFlag list

Returns information about the import flags supported by the deployment platform.

The supported flags are: LAX: Lax mode parsing of the OVF descriptor.

Future server versions might support additional flags.

Returns an authorization error if you do not have all of the privileges described as follows:

  • Operation execution requires System.Read.
  • The resource ResourcePool referenced by the parameter rp requires System.Read.
Request
URI
GET
https://{host}/api/vcenter/ovf/import-flag
COPY
Query Parameters
string
resource_pool
Required

The identifier of resource pool target for retrieving the import flag(s).

The parameter must be an identifier for the resource type: ResourcePool.


Authentication
This operation uses the following authentication methods.
Responses
200

A list of supported import flags.

[
    {
        "option": "string",
        "description": {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": {
                        "id": "string",
                        "params": {
                            "params": "Vapi Std LocalizationParam Object"
                        }
                    },
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    }
]
array of object
Optional

The Vcenter Ovf ImportFlag Info schema describes an import flag supported by the deployment platform.


404

If the resource pool associated with rp does not exist.

Returns Vapi Std Errors NotFound of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string"
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/vcenter/ovf/import-flag?resource_pool=v